/usr/lib64/libstdc++.so.6: version `CXXABI_1.3.8' not found when loading R packages

I know this question has been asked many times, but my case is very special: I am using a Linux cluster where I do not have root but could only use commands like "module load gcc" "module load mkl" "module load R3.3/mkl" and so on to load libraries.

Recently I tried installing mxnet on my account on that cluster, after that everything seems to work, but then I switched from R3.2 to R3.2 by using "module load R3.3/mkl" instead of "module load R3.2/mkl", but now when I try to load R packages like stringi, it said

library(stringi),

Error in dyn.load(file, DLLpath = DLLpath, ...) : unable to load shared object '/home/hpc/pr74ze/ru37wof2/R/x86_64-pc-linux-gnu-library/3.3/stringi/libs/x 86_64/stringi.so': /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.8' not found (required by /home/hpc/pr74ze/ru37wof2/R/x86 _64-pc-linux-gnu-library/3.3/stringi/libs/x86_64/stringi.so) Error: package or namespace load failed for ‘stringi’

I remember that I have tried to load gsl before

module list
Currently Loaded Modulefiles:
 1) admin/1.0     3) intel/16.0   5) mpi.intel/5.1   7) R/3.3mkl   9) git/latest  11) gsl/1.16  
 2) tempdir/1.0   4) mkl/11.3     6) lrz/default     8) nano/2.2  10) gcc/4.9

if I run the following

echo $LD_LIBRARY_PATH
    /usr/lib64:/lrz/mnt/sys.x86_64/compilers/java/jdk1.7.0_51/jre/lib/amd64/server:/usr/lib64:/lrz/mnt/sys.x86
    _64/compilers/java/jdk1.7.0_51/jre/lib/amd64/server:/lrz/sys/libraries/gsl/1.16/lib:/lrz/sys/compilers/gcc
    /4.9.3/lib64:/lrz/sys/compilers/gcc/4.9.3/lib:/lrz/sys/applications/R/3.3.1_MKL/lib64/R/lib/x86_64:/lrz/sy
    s/intel/impi/5.1.3.181/lib64:/lrz/sys/intel/studio2016_u4/compilers_and_libraries_2016.4.258/linux/mkl/lib
    /intel64:/lrz/sys/intel/studio2016_u4/debugger_2016/libipt/intel64/lib:/lrz/sys/intel/studio2016_u4/compil
    ers_and_libraries_2016.4.258/linux/compiler/lib/intel64


If I try to install the RcppZiggurat

* installing *source* package ‘RcppZiggurat’ ...
** package ‘RcppZiggurat’ successfully unpacked and MD5 sums checked
** libs
*** arch - x86_64
icpc -I/lrz/sys/applications/R/3.3.1_MKL/lib64/R/include -I/lrz/sys/applications/R/3.3.1_MKL/lib64/R/include/x86_64 -DNDEBUG -I. -I../inst/include -I/usr/local/include -I"/home/hpc/pr74ze/ru37wof2/R/x86_64-pc-lin
ux-gnu-library/3.3/Rcpp/include" -I"/home/hpc/pr74ze/ru37wof2/R/x86_64-pc-linux-gnu-library/3.3/RcppGSL/include"   -fpic  -O3  -c RcppExports.cpp -o RcppExports.o
In file included from /home/hpc/pr74ze/ru37wof2/R/x86_64-pc-linux-gnu-library/3.3/RcppGSL/include/RcppGSL.h(25),
                 from RcppExports.cpp(4):
/home/hpc/pr74ze/ru37wof2/R/x86_64-pc-linux-gnu-library/3.3/RcppGSL/include/RcppGSLForward.h(26): catastrophic error: cannot open source file "gsl/gsl_vector.h"
  #include <gsl/gsl_vector.h>
                              ^

compilation aborted for RcppExports.cpp (code 4)



But how should I proceed to find out where the problem is?